Index: resources/views/dashboard/departments/create.blade.php
===================================================================
--- resources/views/dashboard/departments/create.blade.php	(revision 120759b41a3ce01c1ab16d5c512103522ae5568f)
+++ resources/views/dashboard/departments/create.blade.php	(revision d795fa6d6f9dce899a9ce38b85983b77c28a7e19)
@@ -1,5 +1,5 @@
 @extends('layouts.app')
 
-@section("title", "Departments - Create new")
+@section("title", "Departments - Create department")
 
 @section('pageTitle', 'Create department')
@@ -28,5 +28,5 @@
                                 <div class="card-body">
                                     <h6 class="card-title">New department</h6>
-                                    <form action="{{ route("dashboard.departments.store") }}" method="post" accept-charset="utf-8">
+                                    <form action="{{ route("dashboard.departments.store") }}" method="post" accept-charset="utf-8" class="needs-validation" novalidate>
                                         @csrf
                                         <div class="row">
@@ -34,5 +34,8 @@
                                                 <div class="form-group">
                                                     <label>Name</label>
-                                                    <input type="text" name="name" value="{{ old('name') }}" class="form-control" placeholder="Name" required>
+                                                    <input type="text" name="name" value="{{ old('name') }}" minlength="2" maxlength="30" class="form-control" placeholder="Name" required>
+                                                    <div class="invalid-feedback">
+                                                        Please enter characters with length between [2, 30]
+                                                    </div>
                                                 </div>
                                             </div>
@@ -40,5 +43,8 @@
                                                 <div class="form-group">
                                                     <label>Code</label>
-                                                    <input type="text" name="code" value="{{ old('code') }}" class="form-control" placeholder="Code" required>
+                                                    <input type="text" name="code" value="{{ old('code') }}" minlength="2" maxlength="30" class="form-control" placeholder="Code" required>
+                                                    <div class="invalid-feedback">
+                                                        Please enter characters with length between [2, 30]
+                                                    </div>
                                                 </div>
                                             </div>
Index: resources/views/dashboard/departments/edit.blade.php
===================================================================
--- resources/views/dashboard/departments/edit.blade.php	(revision 120759b41a3ce01c1ab16d5c512103522ae5568f)
+++ resources/views/dashboard/departments/edit.blade.php	(revision d795fa6d6f9dce899a9ce38b85983b77c28a7e19)
@@ -28,5 +28,5 @@
                                 <div class="card-body">
                                     <h6 class="card-title">Departmnets</h6>
-                                    <form action="{{ route("dashboard.departments.edit", ["id" =>$department->id]) }}" method="post" accept-charset="utf-8">
+                                    <form action="{{ route("dashboard.departments.edit", ["id" =>$department->id]) }}" method="post" accept-charset="utf-8" class="needs-validation" novalidate>
                                         @method("patch")
                                         @csrf
@@ -35,5 +35,8 @@
                                                 <div class="form-group">
                                                     <label class="form-label">Name</label>
-                                                    <input type="text" name="name" value="{{ $department->name }}" class="form-control" placeholder="Name" required>
+                                                    <input type="text" name="name" value="{{ $department->name }}" minlength="2" maxlength="30" class="form-control" placeholder="Name" required>
+                                                    <div class="invalid-feedback">
+                                                        Please enter characters with length between [2, 30]
+                                                    </div>
                                                 </div>
                                             </div>
@@ -41,5 +44,8 @@
                                                 <div class="form-group">
                                                     <label class="form-label">Code</label>
-                                                    <input type="text" name="code" value="{{ $department->code }}" class="form-control" placeholder="Code" required>
+                                                    <input type="text" name="code" value="{{ $department->code }}" minlength="2" maxlength="30" class="form-control" placeholder="Code" required>
+                                                    <div class="invalid-feedback">
+                                                        Please enter characters with length between [2, 30]
+                                                    </div>
                                                 </div>
                                             </div>
Index: resources/views/dashboard/departments/index.blade.php
===================================================================
--- resources/views/dashboard/departments/index.blade.php	(revision 120759b41a3ce01c1ab16d5c512103522ae5568f)
+++ resources/views/dashboard/departments/index.blade.php	(revision d795fa6d6f9dce899a9ce38b85983b77c28a7e19)
@@ -1,7 +1,7 @@
 @extends('layouts.app')
 
-@section("title", "Departments")
+@section("title", "SaveSpace - Departments")
 
-@section('pageTitle', 'Department List')
+@section('pageTitle', 'Departments')
 
 @section('head')
@@ -77,39 +77,40 @@
                                             <i class="ti-pencil"></i>
                                         </a>
-                                        <a href="javascript:void(0)" class="text-danger ml-2" data-action="{{ route("dashboard.categories.destroy", ["id" => $category->id]) }}" data-target="#deleteModal" data-toggle="modal" title="Delete">
+                                        <a href="javascript:void(0)" class="text-danger ml-2" data-toggle="modal" data-target="#deleteModal_{{$department->id}}" title="Delete">
                                             <i class="ti-trash"></i>
                                         </a>
                                     </td>
                                 </tr>
+                                <div class="modal fade" id="deleteModal_{{$department->id}}" tabindex="-1" role="dialog" aria-hidden="true">
+                                    <div class="modal-dialog modal-dialog-centered" role="document">
+                                        <div class="modal-content">
+                                            <div class="modal-header">
+                                                <h5 class="modal-title" id="exampleModalCenterTitle">Delete confirmation</h5>
+                                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
+                                                    <i class="ti-close"></i>
+                                                </button>
+                                            </div>
+                                            <div class="modal-body">
+                                                <form action="{{ route("dashboard.departments.destroy", $department->id) }}" method="POST">
+                                                    @csrf
+                                                    @method('DELETE')
+                                                    <p>Are you sure you want to delete department {{$department->name}} with code: {{$department->code}}?</p>
+                                                    <p>Number of documents associated: {{$department->document()->count()}}</p>
+                                                    <div class="modal-footer">
+                                                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close
+                                                        </button>
+                                                        <button type="submit" class="btn btn-primary">Save changes</button>
+                                                    </div>
+                                                </form>
+                                            </div>
+
+                                        </div>
+                                    </div>
+                                </div>
                             @endforeach
                             </tbody>
                         </table>
 
-                        <div class="modal fade" id="deleteModal" tabindex="-1" role="dialog" aria-hidden="true">
-                            <div class="modal-dialog modal-dialog-centered" role="document">
-                                <div class="modal-content">
-                                    <div class="modal-header">
-                                        <h5 class="modal-title" id="exampleModalCenterTitle">Delete confirmation</h5>
-                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
-                                            <i class="ti-close"></i>
-                                        </button>
-                                    </div>
-                                    <div class="modal-body">
-                                        <form action="{{ route('dashboard.departments.destroy', 'id') }}" method="post">
-                                            @csrf
-                                            @method('DELETE')
-                                            <input id="id" name="id" hidden value="">
-                                            <p>Are you sure you want to delete department <b>{{$department->name}}</b> with code <b>{{$department->code}}?</b></p>
-                                            <div class="modal-footer">
-                                                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close
-                                                </button>
-                                                <button type="submit" class="btn btn-danger">Save changes</button>
-                                            </div>
-                                        </form>
-                                    </div>
 
-                                </div>
-                            </div>
-                        </div>
 
                     </div>
@@ -127,7 +128,10 @@
 
     <script>
-        $(document).on('click','.delete',function(){
-            let id = $(this).attr('data-action');
-            $('#id').val(id);
+        $('#deleteModal').on('show.bs.modal', function (event) {
+            var button = $(event.relatedTarget)
+            var dep_id = button.data('deptId')
+            var modal = $(this)
+
+            modal.find('.modal-body #dept_id').val(dep_id);
         });
     </script>
Index: resources/views/dashboard/documents/department.blade.php
===================================================================
--- resources/views/dashboard/documents/department.blade.php	(revision 120759b41a3ce01c1ab16d5c512103522ae5568f)
+++ 	(revision )
@@ -1,69 +1,0 @@
-@extends('layouts.app')
-
-@section('pageTitle', $department->name)
-
-@section('content')
-
-    <div class="row app-block mb-4">
-        @include('dashboard.documents.fragments.menu')
-        <div class="col-md-9 app-content">
-            <div class="app-content-overlay"></div>
-            @include('dashboard.documents.fragments.filters')
-
-            <p>{{$department->name}} documents</p>
-            <div class="row">
-                @foreach($documents as $document)
-                        <div class="col-xl-3 col-lg-4 col-md-6 col-sm-12">
-                            <div class="card app-file-list">
-                                <div class="app-file-icon">
-                                    <i class="fa fa-file-text-o text-primary"></i>
-                                    <div class="dropdown position-absolute top-0 right-0 mr-3">
-                                        <a href="#" class="btn btn-outline-light btn-sm" data-toggle="dropdown">
-                                            <i class="fa fa-ellipsis-h"></i>
-                                        </a>
-                                        <div class="dropdown-menu dropdown-menu-right">
-                                            <a href="{{ route("dashboard.documents.edit", ["id" => $document->id]) }}" class="dropdown-item">View Details</a>
-                                            <a href="#" class="dropdown-item">Share</a>
-                                            <a href="#" class="dropdown-item">Download</a>
-                                            <a href="#" class="dropdown-item">Move to</a>
-                                            <a href="#" class="dropdown-item">Delete</a>
-                                        </div>
-                                    </div>
-                                </div>
-                                <div class="p-2 small">
-                                    <div>{{$document->name}} - {{$document->arch_id}}</div>
-                                    <div class="text-muted">{{$document->description}}</div>
-                                    <div class="text-muted">1.2MB</div>
-                                </div>
-                            </div>
-                        </div>
-                    @endforeach
-
-
-            </div>
-        </div>
-
-        @endsection
-
-        @section('script')
-
-            <script>
-                $(function () {
-                    $(document).on('click', '.file-upload-btn', function () {
-                        $('form#file-upload input[type="file"]').trigger('click');
-                    });
-
-                    $(document).on('click', '.app-sidebar-menu-button', function () {
-                        $('.app-block .app-sidebar, .app-content-overlay').addClass('show');
-                        // $('.app-block .app-sidebar .app-sidebar-menu').niceScroll().resize();
-                        return false;
-                    });
-
-                    $(document).on('click', '.app-content-overlay', function () {
-                        $('.app-block .app-sidebar, .app-content-overlay').removeClass('show');
-                        return false;
-                    });
-                });
-            </script>
-
-@endsection
Index: resources/views/dashboard/documents/fragments/filters.blade.php
===================================================================
--- resources/views/dashboard/documents/fragments/filters.blade.php	(revision 120759b41a3ce01c1ab16d5c512103522ae5568f)
+++ resources/views/dashboard/documents/fragments/filters.blade.php	(revision d795fa6d6f9dce899a9ce38b85983b77c28a7e19)
@@ -1,53 +1,0 @@
-<div class="app-action">
-    <div class="action-left">
-        <ul class="list-inline">
-            <li class="list-inline-item mb-0">
-                <a href="#" class="btn btn-outline-light dropdown-toggle" data-toggle="dropdown">
-                    <i data-feather="plus" class="mr-1"></i>
-                    Add
-                </a>
-                <div class="dropdown-menu">
-                    <a class="dropdown-item" href="{{route("dashboard.departments.create")}}">Department</a>
-                    <a class="dropdown-item" href="{{route("dashboard.documents.create")}}">Document</a>
-                </div>
-            </li>
-            <li class="list-inline-item mb-0">
-                <a href="#" class="btn btn-outline-light dropdown-toggle" data-toggle="dropdown">Departments</a>
-                <div class="dropdown-menu">
-                    @foreach($departments as $department)
-                        <a class="dropdown-item d-flex justify-content-between m-5" href="{{ route("dashboard.documents.getDocumentsInDepartment", ["id" => $department->id]) }}">
-                            {{$department->name}}
-                            <span class="text-muted">{{$department->document->count()}}</span>
-                        </a>
-                    @endforeach
-                </div>
-            </li>
-            <li class="list-inline-item mb-0">
-                <a href="#" class="btn btn-outline-light dropdown-toggle" data-toggle="dropdown">
-                    Order by
-                </a>
-                <div class="dropdown-menu">
-                    <a class="dropdown-item" href="#">Date</a>
-                    <a class="dropdown-item" href="#">Name</a>
-                    <a class="dropdown-item" href="#">Size</a>
-                </div>
-            </li>
-        </ul>
-    </div>
-    <div class="action-right">
-        <form class="d-flex mr-3">
-            <a href="#" class="app-sidebar-menu-button btn btn-outline-light">
-                <i data-feather="menu"></i>
-            </a>
-            <div class="input-group">
-                <input type="text" class="form-control" placeholder="Search file"
-                       aria-describedby="button-addon1">
-                <div class="input-group-append">
-                    <button class="btn btn-outline-light" type="button" id="button-addon1">
-                        <i data-feather="search"></i>
-                    </button>
-                </div>
-            </div>
-        </form>
-    </div>
-</div>
Index: resources/views/dashboard/documents/fragments/menu.blade.php
===================================================================
--- resources/views/dashboard/documents/fragments/menu.blade.php	(revision 120759b41a3ce01c1ab16d5c512103522ae5568f)
+++ 	(revision )
@@ -1,57 +1,0 @@
-<div class="col-md-3 app-sidebar">
-        <div class="card">
-            <div class="card-body">
-                <a href="{{ route("dashboard.documents.create") }}" class="btn btn-secondary btn-block file-upload-btn text-white" data-action="{{ route("dashboard.documents.create") }}">
-                    Add document
-                </a>
-                <form class="d-none" id="file-upload">
-                    <input type="file" multiple>
-                </form>
-            </div>
-            <div class="app-sidebar-menu">
-                <div class="list-group list-group-flush">
-                    <a href="{{route("dashboard.documents.index")}}" class="list-group-item d-flex align-items-center">
-                        <i data-feather="folder" class="width-15 height-15 mr-2"></i>
-                        Documents
-                        <span class="small ml-auto">{{$totalDocs}}</span>
-                    </a>
-                    @foreach($departments as $department)
-                        <a href="{{ route("dashboard.documents.getDocumentsInDepartment", ["id" => $department->id]) }}" class="list-group-item d-flex align-items-center">
-                            <i data-feather="folder" class="width-15 height-15 mr-2"></i>
-                            {{$department->name}}
-                            <span class="small ml-auto">{{$department->document->count()}}</span>
-                        </a>
-                    @endforeach
-                    <a href="" class="list-group-item">
-                        <i data-feather="upload-cloud" class="width-15 height-15 mr-2"></i>
-                        Recents
-                    </a>
-                    <a href="" class="list-group-item d-flex align-items-center">
-                        <i data-feather="star" class="width-15 height-15 mr-2"></i>
-                        Important
-                        <span class="small ml-auto">10</span>
-                    </a>
-                    <a href="" class="list-group-item">
-                        <i data-feather="trash" class="width-15 height-15 mr-2"></i>
-                        Deleted Files
-                    </a>
-                </div>
-                <div class="card-body">
-                    <h6 class="mb-4">Storage Status</h6>
-                    <div class="d-flex align-items-center">
-                        <div class="mr-3">
-                            <i data-feather="database" class="width-30 height-30"></i>
-                        </div>
-                        <div class="flex-grow-1">
-                            <div class="progress" style="height: 10px">
-                                <div class="progress-bar progress-bar-striped" role="progressbar"
-                                     style="width: 40%" aria-valuenow="10" aria-valuemin="0"
-                                     aria-valuemax="100"></div>
-                            </div>
-                            <div class="line-height-12 small text-muted mt-2">19.5GB used of 25GB</div>
-                        </div>
-                    </div>
-                </div>
-            </div>
-        </div>
-    </div>
Index: resources/views/dashboard/documents/index.blade.php
===================================================================
--- resources/views/dashboard/documents/index.blade.php	(revision 120759b41a3ce01c1ab16d5c512103522ae5568f)
+++ resources/views/dashboard/documents/index.blade.php	(revision d795fa6d6f9dce899a9ce38b85983b77c28a7e19)
@@ -1,18 +1,130 @@
 @extends('layouts.app')
 
-@section('pageTitle', 'File Manager')
+@section("title", "SaveSpace - Documents")
+
+@section('pageTitle', 'SaveSpace - Documents')
 
 @section('content')
 
     <div class="row app-block mb-4">
-        @include('dashboard.documents.fragments.menu')
+        <div class="col-md-3 app-sidebar">
+            <div class="card">
+                <div class="card-body">
+                    <a href="{{ route("dashboard.documents.create") }}" class="btn btn-secondary btn-block file-upload-btn text-white" data-action="{{ route("dashboard.documents.create") }}">
+                        Add document
+                    </a>
+                    <form class="d-none" id="file-upload">
+                        <input type="file" multiple>
+                    </form>
+                </div>
+                <div class="app-sidebar-menu">
+                    <div class="list-group list-group-flush">
+                        <a href="{{route("dashboard.documents.index")}}" class="list-group-item d-flex align-items-center">
+                            <i data-feather="folder" class="width-15 height-15 mr-2"></i>
+                            Documents
+{{--                            <span class="small ml-auto">{{$totalDocs}}</span>--}}
+                        </a>
+                        @foreach($departments as $department)
+                            <a href="{{ route("dashboard.documents.index", ["id" => $department->id]) }}" class="list-group-item d-flex align-items-center">
+                                <i data-feather="folder" class="width-15 height-15 mr-2"></i>
+                                {{$department->name}}
+                                <span class="small ml-auto">{{$department->document->count()}}</span>
+                            </a>
+                        @endforeach
+                        <a href="" class="list-group-item">
+                            <i data-feather="upload-cloud" class="width-15 height-15 mr-2"></i>
+                            Recents
+                        </a>
+                        <a href="" class="list-group-item d-flex align-items-center">
+                            <i data-feather="star" class="width-15 height-15 mr-2"></i>
+                            Important
+                            <span class="small ml-auto">10</span>
+                        </a>
+                        <a href="" class="list-group-item">
+                            <i data-feather="trash" class="width-15 height-15 mr-2"></i>
+                            Deleted Files
+                        </a>
+                    </div>
+                    <div class="card-body">
+                        <h6 class="mb-4">Storage Status</h6>
+                        <div class="d-flex align-items-center">
+                            <div class="mr-3">
+                                <i data-feather="database" class="width-30 height-30"></i>
+                            </div>
+                            <div class="flex-grow-1">
+                                <div class="progress" style="height: 10px">
+                                    <div class="progress-bar progress-bar-striped" role="progressbar"
+                                         style="width: 40%" aria-valuenow="10" aria-valuemin="0"
+                                         aria-valuemax="100"></div>
+                                </div>
+                                <div class="line-height-12 small text-muted mt-2">19.5GB used of 25GB</div>
+                            </div>
+                        </div>
+                    </div>
+                </div>
+            </div>
+        </div>
+
 
         <div class="col-md-9 app-content">
             <div class="app-content-overlay"></div>
-            @include('dashboard.documents.fragments.filters')
+            <div class="app-action">
+                <div class="action-left">
+                    <ul class="list-inline">
+                        <li class="list-inline-item mb-0">
+                            <a href="#" class="btn btn-outline-light dropdown-toggle" data-toggle="dropdown">
+                                <i data-feather="plus" class="mr-1"></i>
+                                Add
+                            </a>
+                            <div class="dropdown-menu">
+                                <a class="dropdown-item" href="{{route("dashboard.departments.create")}}">Department</a>
+                                <a class="dropdown-item" href="{{route("dashboard.documents.create")}}">Document</a>
+                            </div>
+                        </li>
+                        <li class="list-inline-item mb-0">
+                            <a href="#" class="btn btn-outline-light dropdown-toggle" data-toggle="dropdown">Departments</a>
+                            <div class="dropdown-menu">
+                                @foreach($departments as $department)
+                                    <a class="dropdown-item d-flex justify-content-between m-5" href="{{ route("dashboard.documents.index", ["id" => $department->id]) }}">
+                                        {{$department->name}}
+                                        <span class="text-muted">{{$department->document->count()}}</span>
+                                    </a>
+                                @endforeach
+                            </div>
+                        </li>
+                        <li class="list-inline-item mb-0">
+                            <a href="#" class="btn btn-outline-light dropdown-toggle" data-toggle="dropdown">
+                                Order by
+                            </a>
+                            <div class="dropdown-menu">
+                                <a class="dropdown-item" href="#">Date</a>
+                                <a class="dropdown-item" href="#">Name</a>
+                                <a class="dropdown-item" href="#">Size</a>
+                            </div>
+                        </li>
+                    </ul>
+                </div>
+                <div class="action-right">
+                    <form class="d-flex mr-3">
+                        <a href="#" class="app-sidebar-menu-button btn btn-outline-light">
+                            <i data-feather="menu"></i>
+                        </a>
+                        <div class="input-group">
+                            <input type="text" class="form-control" placeholder="Search file"
+                                   aria-describedby="button-addon1">
+                            <div class="input-group-append">
+                                <button class="btn btn-outline-light" type="button" id="button-addon1">
+                                    <i data-feather="search"></i>
+                                </button>
+                            </div>
+                        </div>
+                    </form>
+                </div>
+            </div>
+
 
             <p>Documents</p>
             <div class="row">
-                @foreach($documents as $document)
+                @forelse($documents as $document)
                     <div class="col-xl-3 col-lg-4 col-md-6 col-sm-12">
                         <div class="card app-file-list">
@@ -39,6 +151,7 @@
                         </div>
                     </div>
-                @endforeach
-
+                @empty
+                    <div>No items found</div>
+                @endforelse
 
             </div>
@@ -49,22 +162,5 @@
 @section('script')
 
-{{--    <script>--}}
-{{--        $(function () {--}}
-{{--            $(document).on('click', '.file-upload-btn', function () {--}}
-{{--                $('form#file-upload input[type="file"]').trigger('click');--}}
-{{--            });--}}
 
-{{--            $(document).on('click', '.app-sidebar-menu-button', function () {--}}
-{{--                $('.app-block .app-sidebar, .app-content-overlay').addClass('show');--}}
-{{--                // $('.app-block .app-sidebar .app-sidebar-menu').niceScroll().resize();--}}
-{{--                return false;--}}
-{{--            });--}}
-
-{{--            $(document).on('click', '.app-content-overlay', function () {--}}
-{{--                $('.app-block .app-sidebar, .app-content-overlay').removeClass('show');--}}
-{{--                return false;--}}
-{{--            });--}}
-{{--        });--}}
-{{--    </script>--}}
 
 @endsection
Index: resources/views/dashboard/settings/index.blade.php
===================================================================
--- resources/views/dashboard/settings/index.blade.php	(revision 120759b41a3ce01c1ab16d5c512103522ae5568f)
+++ resources/views/dashboard/settings/index.blade.php	(revision d795fa6d6f9dce899a9ce38b85983b77c28a7e19)
@@ -18,4 +18,8 @@
     </div>
 
+    @if(isset($link))
+        {{$link}}
+        @endif
+
     <div class="row">
         <div class="col-md-12">
@@ -25,5 +29,5 @@
                     <div class="nav flex-lg-column flex-sm-row nav-pills" id="v-pills-tab" role="tablist" aria-orientation="vertical">
                         <a class="nav-link active" id="v-pills-home-tab" data-toggle="pill" href="#v-pills-home" role="tab" aria-controls="v-pills-home" aria-selected="true">Account</a>
-                        <a class="nav-link" id="v-pills-messages-tab" data-toggle="pill" href="#v-pills-messages" role="tab" aria-controls="v-pills-messages" aria-selected="false">Security</a>
+                        <a class="nav-link" id="security-tab" data-toggle="pill" href="#security" role="tab" aria-controls="security" aria-selected="false">Security</a>
                         <a class="nav-link" id="v-pills-settings-tab" data-toggle="pill" href="#v-pills-settings" role="tab" aria-controls="v-pills-settings" aria-selected="false">Social</a>
                     </div>
@@ -35,5 +39,5 @@
                                 <div class="card-body">
                                     <h6 class="card-title">Account</h6>
-                                    <form action="{{ route("dashboard.users.editUserData", ["id" =>$user->id]) }}" method="post" accept-charset="utf-8" enctype='multipart/form-data'>
+                                    <form action="{{ route("dashboard.users.editUserData", ["id" =>$user->id]) }}" method="post" accept-charset="utf-8" enctype='multipart/form-data' class="needs-validation" novalidate>
                                         @method("patch")
                                         @csrf
@@ -42,5 +46,8 @@
                                                 <div class="form-group">
                                                     <label>Name</label>
-                                                    <input type="text" name="name" value="{{ $user->name }}" class="form-control" placeholder="Name" required>
+                                                    <input type="text" name="name" value="{{ $user->name }}" minlength="2" maxlength="30" class="form-control" placeholder="Name" required>
+                                                    <div class="invalid-feedback">
+                                                        Please enter only letters and spaces with length between [2, 30]
+                                                    </div>
                                                 </div>
                                             </div>
@@ -56,5 +63,5 @@
                                                 <div class="form-group">
                                                     <label class="form-label">Mobile Number</label>
-                                                    <input type="text" name="mobile_number" value="{{ $user->mobile_number }}" class="form-control" placeholder="Phone number" autocomplete="off" required>
+                                                    <input type="text" name="phone_number" value="{{ $user->phone_number }}" class="form-control" placeholder="Phone number" autocomplete="off" required>
                                                 </div>
                                             </div>
@@ -77,5 +84,5 @@
                             </div>
                         </div>
-                        <div class="tab-pane fade" id="v-pills-messages" role="tabpanel" aria-labelledby="v-pills-messages-tab">
+                        <div class="tab-pane{{old('tab') == 'security' ? ' active' : null}}" id="security" role="tabpanel" aria-labelledby="security-tab">
                             <div class="card">
                                 <div class="card-body">
@@ -236,2 +243,14 @@
 
 @endsection
+
+@section('script')
+    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js" integrity="sha512-894YE6QWD5I59HgZOGReFYm4dnWc1Qt5NtvYSaNcOP+u1T9qYdvdihz0PPSiiqn/+/3e7Jo4EaG7TubfWGUrMQ==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
+    <script src="https://cdnjs.cloudflare.com/ajax/libs/jqueryui/1.12.1/jquery-ui.min.js" integrity="sha512-uto9mlQzrs59VwILcLiRYeLKPPbS/bT71da/OEBYEwcdNUk8jYIy+D176RYoop1Da+f9mvkYrmj5MCLZWEtQuA==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
+    <script>
+        $(document).ready(function () {
+            if (window.location.hash) {
+                $('.nav-pills a[href="#'+window.location.hash+'"]').tabs('show');
+            }
+        });
+</script>
+@endsection
Index: resources/views/dashboard/users/create.blade.php
===================================================================
--- resources/views/dashboard/users/create.blade.php	(revision 120759b41a3ce01c1ab16d5c512103522ae5568f)
+++ resources/views/dashboard/users/create.blade.php	(revision d795fa6d6f9dce899a9ce38b85983b77c28a7e19)
@@ -27,6 +27,6 @@
                             <div class="card">
                                 <div class="card-body">
-                                    <h6 class="card-title">User account data</h6>
-                                    <form action="{{ route("dashboard.users.store") }}" method="post" accept-charset="utf-8" enctype='multipart/form-data'>
+                                    <h6 class="card-title">Create user</h6>
+                                    <form action="{{ route("dashboard.users.store") }}" method="post" accept-charset="utf-8" enctype='multipart/form-data' class="needs-validation" novalidate>
                                         @csrf
                                         <div class="row">
@@ -34,5 +34,8 @@
                                                 <div class="form-group">
                                                     <label>Name</label>
-                                                    <input type="text" name="name" value="{{ old('name') }}" class="form-control" placeholder="Name" required>
+                                                    <input type="text" name="name" value="{{ old('name') }}" minlength="2" maxlength="25" pattern="[a-zA-Zа-шА-Ш._\s]+" class="form-control" placeholder="Name" required>
+                                                    <div class="invalid-feedback">
+                                                        Please enter only letters and spaces with length between [2, 25]
+                                                    </div>
                                                 </div>
                                             </div>
@@ -40,5 +43,8 @@
                                                 <div class="form-group">
                                                     <label>Surname</label>
-                                                    <input type="text" name="surname" value="{{ old('surname') }}" class="form-control" placeholder="Surname" required>
+                                                    <input type="text" name="surname" value="{{ old('surname') }}" minlength="2" maxlength="25" pattern="[a-zA-Zа-шА-Ш._\s]+" class="form-control" placeholder="Surname" required>
+                                                    <div class="invalid-feedback">
+                                                        Please enter only letters and spaces with length between [2, 25]
+                                                    </div>
                                                 </div>
                                             </div>
@@ -48,5 +54,8 @@
                                                 <div class="form-group">
                                                     <label class="form-label">Username</label>
-                                                    <input type="text" name="username" value="{{ old('username') }}" class="form-control" placeholder="Username" required>
+                                                    <input type="text" name="username" value="{{ old('username') }}" minlength="5" maxlength="30" class="form-control" placeholder="Username" required>
+                                                    <div class="invalid-feedback">
+                                                        Please enter characters with length between [5, 30]
+                                                    </div>
                                                 </div>
                                             </div>
@@ -54,7 +63,7 @@
                                                 <div class="form-group">
                                                     <label class="form-label">Role</label>
-                                                    <select class="form-control" name="userRole">
+                                                    <select class="form-control" name="userRole required">
                                                         @foreach ($roles as $role)
-                                                            <option value="{{ $role->id }}" {{ (old("userRole") == $role->id ? "selected" : "" ) }}>{{ ucfirst($role->name) }}</option>
+                                                            <option value="{{ $role->id }}" {{ (old("userRole") == $role->id ? "selected" : "" ) }}>{{ $role->name }}</option>
                                                         @endforeach
                                                     </select>
@@ -67,10 +76,16 @@
                                                     <label>Email</label>
                                                     <input type="email" name="email" value="{{ old('email') }}" class="form-control" placeholder="E-mail" required>
+                                                    <div class="invalid-feedback">
+                                                        Please enter a valid email address
+                                                    </div>
                                                 </div>
                                             </div>
                                             <div class="col-md-6">
                                                 <div class="form-group">
-                                                    <label class="form-label">Mobile Number</label>
-                                                    <input type="text" name="mobile_number" value="{{ old('mobile_number') }}" class="form-control" placeholder="Phone number" autocomplete="off" required>
+                                                    <label class="form-label">Phone Number</label>
+                                                    <input type="text" name="phone_number" value="{{ old('phone_number') }}" class="form-control" placeholder="Phone number" autocomplete="off" required>
+                                                    <div class="invalid-feedback">
+                                                        Please enter your phone number
+                                                    </div>
                                                 </div>
                                             </div>
@@ -83,4 +98,7 @@
                                                     <label>Avatar</label>
                                                     <input type="file" name="avatar" value="{{ old('avatar') }}" class="form-control" accept="image/*">
+                                                    <div class="invalid-feedback">
+                                                        Please upload a valid image file
+                                                    </div>
                                                 </div>
                                             </div>
Index: resources/views/dashboard/users/edit.blade.php
===================================================================
--- resources/views/dashboard/users/edit.blade.php	(revision 120759b41a3ce01c1ab16d5c512103522ae5568f)
+++ resources/views/dashboard/users/edit.blade.php	(revision d795fa6d6f9dce899a9ce38b85983b77c28a7e19)
@@ -28,5 +28,5 @@
                                 <div class="card-body">
                                     <h6 class="card-title">User account data</h6>
-                                    <form action="{{ route("dashboard.users.edit", ["id" =>$user->id]) }}" method="post" accept-charset="utf-8" enctype='multipart/form-data'>
+                                    <form action="{{ route("dashboard.users.edit", ["id" =>$user->id]) }}" method="post" accept-charset="utf-8" enctype='multipart/form-data' class="needs-validation" novalidate>
                                         @method("patch")
                                         @csrf
@@ -35,5 +35,8 @@
                                                 <div class="form-group">
                                                     <label>Name</label>
-                                                    <input type="text" name="name" value="{{ $user->name }}" class="form-control" placeholder="Name" required>
+                                                    <input type="text" name="name" value="{{ $user->name }}" minlength="2" maxlength="30" pattern="[a-zA-Zа-шА-Ш._\s]+" class="form-control" placeholder="Name" required>
+                                                    <div class="invalid-feedback">
+                                                        Please enter only letters and spaces with length between [2, 30]
+                                                    </div>
                                                 </div>
                                             </div>
@@ -41,5 +44,8 @@
                                                 <div class="form-group">
                                                     <label>Surname</label>
-                                                    <input type="text" name="surname" value="{{$user->surname}}" class="form-control" placeholder="Surname" required>
+                                                    <input type="text" name="surname" value="{{$user->surname}}" minlength="2" maxlength="30" pattern="[a-zA-Zа-шА-Ш._\s]+" class="form-control" placeholder="Surname" required>
+                                                    <div class="invalid-feedback">
+                                                        Please enter only letters and spaces with length between [2, 30]
+                                                    </div>
                                                 </div>
                                             </div>
@@ -49,5 +55,8 @@
                                                 <div class="form-group">
                                                     <label class="form-label">Username</label>
-                                                    <input type="text" name="username" value="{{ $user->username }}" class="form-control" placeholder="Username" required>
+                                                    <input type="text" name="username" value="{{ $user->username }}" minlength="5" maxlength="30" class="form-control" placeholder="Username" required>
+                                                    <div class="invalid-feedback">
+                                                        Please enter characters with length between [5, 30]
+                                                    </div>
                                                 </div>
                                             </div>
@@ -56,5 +65,5 @@
                                                     <label class="form-label">Role</label>
 
-                                                    <select class="form-control" name="userRole">
+                                                    <select class="form-control" name="userRole" required>
                                                         @foreach($roles as $role)
                                                             <option value="{{ $role->id }}" {{ $user->role_id == $role->id ? "selected" : "" }}>{{ $role->name }}</option>
@@ -68,11 +77,17 @@
                                                 <div class="form-group">
                                                     <label>Email</label>
-                                                    <input type="email" name="email" value="{{ $user->email }}" class="form-control" placeholder="E-mail" required>
+                                                    <input type="email" name="email" value="{{ $user->email }}" maxlength="50" class="form-control" placeholder="E-mail" required>
+                                                    <div class="invalid-feedback">
+                                                        Please enter a valid email address with length <=50
+                                                    </div>
                                                 </div>
                                             </div>
                                             <div class="col-md-6">
                                                 <div class="form-group">
-                                                    <label class="form-label">Mobile Number</label>
-                                                    <input type="text" name="mobile_number" value="{{ $user->mobile_number }}" class="form-control" placeholder="Phone number" autocomplete="off" required>
+                                                    <label class="form-label">Phone Number</label>
+                                                    <input type="text" name="phone_number" value="{{ $user->phone_number }}" class="form-control" placeholder="Phone number" autocomplete="off" required>
+                                                    <div class="invalid-feedback">
+                                                        Please enter your phone number
+                                                    </div>
                                                 </div>
                                             </div>
@@ -83,4 +98,7 @@
                                                     <label>Avatar</label>
                                                     <input type="file" name="avatar" value="{{ $user->avatar }}" class="form-control" accept="image/*">
+                                                    <div class="invalid-feedback">
+                                                        Please upload a valid image file
+                                                    </div>
                                                 </div>
                                             </div>
Index: resources/views/dashboard/users/index.blade.php
===================================================================
--- resources/views/dashboard/users/index.blade.php	(revision 120759b41a3ce01c1ab16d5c512103522ae5568f)
+++ resources/views/dashboard/users/index.blade.php	(revision d795fa6d6f9dce899a9ce38b85983b77c28a7e19)
@@ -1,7 +1,7 @@
 @extends('layouts.app')
 
-@section("title", "Users")
+@section("title", "SaveSpace - Users")
 
-@section('pageTitle', 'User List')
+@section('pageTitle', 'Users')
 
 @section('head')
@@ -37,10 +37,5 @@
                             <thead>
                             <tr>
-                                <th>
-{{--                                    <div class="custom-control custom-checkbox">--}}
-{{--                                        <input type="checkbox" class="custom-control-input" id="user-list-select-all">--}}
-{{--                                        <label class="custom-control-label" for="user-list-select-all"></label>--}}
-{{--                                    </div>--}}
-                                </th>
+                                <th></th>
                                 <th>State</th>
                                 <th>Username</th>
@@ -48,5 +43,7 @@
                                 <th>Email</th>
                                 <th>Phone Number</th>
+                                <th>Created by</th>
                                 <th>Created at</th>
+                                <th>Updated at</th>
                                 <th>Role</th>
                                 <th>Status</th>
@@ -76,6 +73,12 @@
                                     <td>{{$user->name .' '. $user->surname}}</td>
                                     <td>{{$user->email}}</td>
-                                    <td>{{$user->mobile_number}}</td>
+                                    <td>{{$user->phone_number}}</td>
+                                    <td>{{ $user->getCreatedByName() }}</td>
                                     <td>{{ date('d.m.Y', strtotime($user->created_at)) }}</td>
+                                    @if($user->updated_at==NULL)
+                                        <td>/</td>
+                                    @else
+                                        <td>{{ date('d.m.Y - H:i', strtotime($user->updated_at)) }}</td>
+                                    @endif
                                     <td>{{ $user->role->name }}</td>
                                     <td>
